- release 16 (by relup.sh)
[packages/gdal.git] / gdal.spec
index de0a2af..ebbff85 100644 (file)
--- a/gdal.spec
+++ b/gdal.spec
@@ -2,7 +2,6 @@
 # - be reasonable about devel dependencies - you do not need all of them to
 #   use gdal (probably a gdal module or driver shall not imply devel
 #   dependency)
-# - rasdaman (--with-rasdaman; http://rasdaman.eecs.jacobs-university.de/trac/rasdaman/wiki/Download)
 # - libjpeg12 (needs patching to use system one, --with-jpeg12 is not sufficient as of 1.9.2)
 # - libkml (1.3.0 needed, not released yet)
 # - wait for newer pcidsk, switch to external again
 #   - Kakadu/JPEG2000 (http://www.kakadusoftware.com/)
 #   - MrSID (http://www.lizardtech.com/developer/)
 #   - MSG/EUMETSAT (http://www.eumetsat.int/Home/Main/DataAccess/SupportSoftwareTools/index.htm)
-#   - Oracle/OCI >= 10.0.1 (for georaster); Oracle/OCI >= 8.1.7 (as DB)
 #   - Ingres (--with-ingres=/path)
-#   - Informix DB
+#   - Informix DB (--with-idb)
 #   - DWGdirect (members only? http://www.opendwg.org/)
 #   - ESRI SDE (http://www.esri.com/software/arcgis/arcsde/index.html)
 #
 # Conditional build:
 %bcond_without armadillo       # Armadillo support for faster TPS transform
+%bcond_without crnlib          # DDS support via crunch/crnlib
 %bcond_without epsilon         # EPSILON wavelet compression support
+%bcond_without fyba            # SOSI geodata support using FYBA
+%bcond_with    grass           # GRASS support (note: dependency loop; use gdal-grass.spec instead)
 %bcond_without gta             # GTA format support
+%bcond_without kea             # KEA format support
 %bcond_without mysql           # MySQL DB support
+%bcond_with    oci             # ORACLE OCI DB and Georaster support
 %bcond_without odbc            # ODBC DB support
 %bcond_without opencl          # OpenCL (GPU) support
 %bcond_without openjpeg        # OpenJPEG 2 (JPEG2000) support
 %bcond_with    podofo          # PDF support via podofo instead of poppler
 %bcond_without poppler         # PDF support via poppler
+%bcond_without rasdaman        # Rasdaman support
 %bcond_without spatialite      # SpatiaLite support
 %bcond_without xerces          # Xerces support
 %bcond_without java            # Java and MDB support
-%bcond_with    php             # PHP binding
-%bcond_without ruby            # Ruby binding
+%bcond_with    php             # PHP binding [PHP 7 not supported by swig 3.0.x]
+%bcond_with    ruby            # Ruby binding [not available as of 2.0.2]
 
 %if %{with podofo}
 %undefine      with_poppler
 %endif
+%if 0%{!?php_name:1}
+%define                php_name        php55
+%endif
 Summary:       Geospatial Data Abstraction Library
 Summary(pl.UTF-8):     Biblioteka abstrakcji danych dotyczących powierzchni Ziemi
 Name:          gdal
-Version:       1.10.1
-Release:       5
+Version:       2.0.2
+Release:       16
 License:       BSD-like
 Group:         Libraries
 Source0:       http://download.osgeo.org/gdal/%{version}/%{name}-%{version}.tar.xz
-# Source0-md5: f354c614aea76e5630e4edbf06e5c292
+# Source0-md5: 940208e737c87d31a90eaae43d0efd65
 Patch0:                %{name}-perl.patch
 Patch1:                %{name}-python_install.patch
 Patch2:                %{name}-php.patch
 Patch3:                %{name}-fpic.patch
-Patch4:                %{name}-format-security.patch
-Patch5:                gdal-bug-5284.patch
+Patch5:                %{name}-grass.patch
+Patch7:                %{name}-link.patch
+Patch8:                %{name}-fyba.patch
+Patch9:                %{name}-dds.patch
+Patch11:       %{name}-armadillo.patch
+Patch12:       %{name}-rasdaman.patch
+Patch13:       %{name}-pluginsdir.patch
+Patch14:       %{name}-uchar.patch
+Patch15:       libx32.patch
 URL:           http://www.gdal.org/
+%{?with_php:BuildRequires:     %{php_name}-devel}
 %{?with_opencl:BuildRequires:  OpenCL-devel >= 1.0}
 %{?with_armadillo:BuildRequires:       armadillo-devel}
 BuildRequires: autoconf >= 2.52
 BuildRequires: automake
 BuildRequires: cfitsio-devel
+%{?with_crnlib:BuildRequires:  crnlib-devel}
 BuildRequires: curl-devel
 BuildRequires: doxygen >= 1.4.2
 %{?with_epsilon:BuildRequires: epsilon-compressor-devel}
 BuildRequires: expat-devel >= 1.95.0
+%{?with_fyba:BuildRequires:    fyba-devel}
 BuildRequires: freexl-devel >= 1.0
-BuildRequires: geos-devel >= 2.2.0
+BuildRequires: gcc >= 6:4.1
+BuildRequires: geos-devel >= 3.1.0
 BuildRequires: giflib-devel >= 4.0
+%{?with_grass:BuildRequires:   grass-devel >= 6.4}
 BuildRequires: hdf-devel >= 4.0
 BuildRequires: hdf5-devel
 BuildRequires: jasper-devel
 %{?with_java:BuildRequires:    jdk}
 %{?with_java:BuildRequires:    jpackage-utils}
-BuildRequires: libcsf-devel
+BuildRequires: json-c-devel >= 0.11
+%{?with_kea:BuildRequires:     kealib-devel}
+BuildRequires: libcsf-devel >= 2.0-0.041111.6
 BuildRequires: libdap-devel >= 3.10
 BuildRequires: libgeotiff-devel >= 1.2.1
 %{?with_gta:BuildRequires:     libgta-devel}
@@ -85,14 +106,15 @@ BuildRequires:     libtiff-devel >= 4.0
 BuildRequires: libtool
 BuildRequires: libuuid-devel
 BuildRequires: libwebp-devel
-BuildRequires: libxml2-devel
+BuildRequires: libxml2-devel >= 2
 %{?with_mysql:BuildRequires:   mysql-devel}
 BuildRequires: netcdf-devel >= 4.1
 BuildRequires: ogdi-devel >= 3.1
 %{?with_openjpeg:BuildRequires:        openjpeg2-devel >= 2.0.0-2}
+# 8.1.7 for DB support, 10.0.1 for georaster
+%{?with_oci:BuildRequires:     oracle-instantclient-devel >= 10.0.1}
 #BuildRequires:        pcidsk-devel > 0.3
 BuildRequires: perl-devel
-%{?with_php:BuildRequires:     php-devel}
 %{?with_podofo:BuildRequires:  podofo-devel}
 %{?with_poppler:BuildRequires: poppler-devel >= 0.24}
 # ensure it's compiled with PQescapeStringConn support
@@ -102,6 +124,7 @@ BuildRequires:      proj-devel >= 4
 BuildRequires: python-devel >= 1:2.5
 BuildRequires: python-numpy-devel >= 1:1.0.0
 BuildRequires: python-setuptools
+%{?with_rasdaman:BuildRequires:        rasdaman-devel}
 BuildRequires: rpm-pythonprov
 %{?with_ruby:BuildRequires:    rpm-rubyprov}
 BuildRequires: rpmbuild(macros) >= 1.344
@@ -109,6 +132,7 @@ BuildRequires:      rpmbuild(macros) >= 1.344
 BuildRequires: sed >= 4.0
 BuildRequires: sqlite3-devel >= 3.0.0
 BuildRequires: swig-perl
+BuildRequires: swig-php >= 2.0.12-2
 BuildRequires: swig-python >= 1.3
 %{?with_ruby:BuildRequires:    swig-ruby}
 BuildRequires: texlive-dvips
@@ -118,7 +142,7 @@ BuildRequires:      texlive-latex
 BuildRequires: xz-devel
 BuildRequires: zlib-devel >= 1.1.4
 Requires:      freexl >= 1.0
-Requires:      geos >= 2.2.0
+Requires:      geos >= 3.1.0
 Requires:      libgeotiff >= 1.2.1
 Requires:      libpng >= 2:1.2.8
 Requires:      libtiff >= 4.0
@@ -148,15 +172,19 @@ Requires: %{name} = %{version}-%{release}
 %{?with_opencl:Requires:       OpenCL-devel >= 1.0}
 %{?with_armadillo:Requires:    armadillo-devel}
 Requires:      cfitsio-devel
+%{?with_crnlib:Requires:       crnlib-devel}
 Requires:      curl-devel
 %{?with_epsilon:Requires:      epsilon-compressor-devel}
+%{?with_fyba:Requires: fyba-devel}
 Requires:      expat-devel >= 1.95.0
 Requires:      freexl-devel >= 1.0
-Requires:      geos-devel >= 2.2.0
+Requires:      geos-devel >= 3.1.0
 Requires:      giflib-devel >= 4.0
 Requires:      hdf-devel >= 4.0
 Requires:      hdf5-devel
 Requires:      jasper-devel
+Requires:      json-c-devel >= 0.11
+%{?with_kea:Requires:  kealib-devel}
 Requires:      libcsf-devel
 Requires:      libdap-devel >= 3.10
 Requires:      libgeotiff-devel >= 1.2.1
@@ -168,7 +196,7 @@ Requires:   libstdc++-devel
 Requires:      libtiff-devel >= 4.0
 Requires:      libuuid-devel
 Requires:      libwebp-devel
-Requires:      libxml2-devel
+Requires:      libxml2-devel >= 2
 %{?with_mysql:Requires:        mysql-devel}
 Requires:      netcdf-devel >= 4
 Requires:      ogdi-devel >= 3.1
@@ -178,6 +206,7 @@ Requires:   ogdi-devel >= 3.1
 %{?with_poppler:Requires:      poppler-devel >= 0.24}
 Requires:      postgresql-devel
 Requires:      proj-devel >= 4
+%{?with_rasdaman:Requires:     rasdaman-devel}
 Requires:      sqlite3-devel >= 3.0.0
 %{?with_odbc:Requires: unixODBC-devel}
 %{?with_xerces:Requires:       xerces-c-devel >= 2.7.0}
@@ -214,17 +243,17 @@ Perl bindings for GDAL - Geo::GDAL, Geo::OGR and Geo::OSR modules.
 %description -n perl-gdal -l pl.UTF-8
 Wiązania Perla do pakietu GDAL - moduły Geo::GDAL, Geo::OGR, Geo::OSR.
 
-%package -n php-gdal
+%package -n %{php_name}-gdal
 Summary:       PHP bindings for GDAL library
 Summary(pl.UTF-8):     Wiązania PHP do biblioteki GDAL
 Group:         Development/Languages/PHP
 Requires:      %{name} = %{version}-%{release}
 %{?requires_php_extension}
 
-%description -n php-gdal
+%description -n %{php_name}-gdal
 PHP bindings for GDAL library
 
-%description -n php-gdal -l pl.UTF-8
+%description -n %{php_name}-gdal -l pl.UTF-8
 Wiązania PHP do biblioteki GDAL.
 
 %package -n python-gdal
@@ -255,18 +284,29 @@ osr.
 
 %prep
 %setup -q
-%{__aclocal}
-%{__autoconf}
 %patch0 -p1
 %patch1 -p1
 %patch2 -p1
 %patch3 -p1
-%patch4 -p1
-%patch5 -p3
-
-# need to regenerate (old ones don't support perl 5.10)
-%{__rm} swig/perl/{gdal_wrap.cpp,gdalconst_wrap.c,ogr_wrap.cpp,osr_wrap.cpp}
-
+%patch5 -p1
+%patch7 -p1
+%patch8 -p1
+%patch9 -p1
+%patch11 -p1
+%patch12 -p1
+%patch13 -p1
+%patch14 -p1
+%patch15 -p1
+
+# need to regenerate (old ones don't support perl 5.10 or php 5.5)
+%{__rm} swig/{perl,php}/{gdal_wrap.cpp,gdalconst_wrap.c,ogr_wrap.cpp,osr_wrap.cpp}
+
+%{__sed} -i \
+       -e 's/^CC=gcc/CC=%{__cc}/' \
+       -e 's/^CXX=g++/CXX=%{__cxx}/' \
+       -e 's/^CFLAGS=-fpic/CFLAGS=%{rpmcflags} -fPIC/' \
+       -e 's/^LDFLAGS=-shared/LDFLAGS=%{rpmldflags} -shared/' \
+       swig/php/GNUmakefile
 # Build with fPIC to allow Ruby bindings
 # Xcompiler should normally achieve that -- http://trac.osgeo.org/gdal/ticket/3978
 # http://trac.osgeo.org/gdal/ticket/1994
@@ -286,39 +326,54 @@ sed -i -e 's#^mandir=.*##g' configure.in
 %{__sed} -i -e 's,DODS_INC="-I.*,DODS_INC="$(pkg-config --cflags libdap)",' configure.in
 
 %build
+%ifarch %{x8664}
+jvm_arch=amd64
+%endif
+%ifarch %{ix86}
+jvm_arch=i386
+%endif
+%ifarch x32
+jvm_arch=x32
+%endif
+
 %{__libtoolize}
 %{__aclocal} -I m4
 %{__autoconf}
-# disable grass/libgrass here, it can be built from separate gdal-grass package
+%{__autoheader}
 %configure \
+       --includedir=%{_includedir}/gdal \
        --datadir=%{_datadir}/gdal \
        --with-dods-root=/usr \
        %{?with_armadillo:--with-armadillo} \
+       %{?with_crnlib:--with-dds} \
        %{?with_epsilon:--with-epsilon} \
+       %{?with_grass:--with-grass} \
        %{!?with_gta:--without-gta} \
        --with-hide-internal-symbols \
        %{?with_java:--with-java=%{java_home}} \
        --with-liblzma \
-       %{?with_java:--with-mdb --with-jvm-lib-add-rpath} \
+       %{!?with_kea:--without-kea} \
+       %{?with_java:--with-mdb --with-jvm-lib-add-rpath --with-jvm-lib=%{java_home}/jre/lib/$jvm_arch/server} \
        %{?with_mysql:--with-mysql} \
+       %{?with_oci:--with-oci --with-oci-include=/usr/include/oracle/client --with-oci-lib=%{_libdir}} \
        %{?with_opencl:--with-opencl} \
        --with-perl \
        %{?with_php:--with-php} \
        %{?with_podofo:--with-podofo} \
        %{?with_poppler:--with-poppler} \
        --with-python \
+       %{?with_rasdaman:--with-rasdaman=%{_libdir}/rasdaman} \
        %{?with_ruby:--with-ruby} \
+       %{?with_fyba:--with-sosi} \
        %{?with_spatialite:--with-spatialite} \
        --with-sqlite3 \
        --with-webp \
        %{?with_xerces:--with-xerces} \
        --with-xerces-inc=/usr/include/xercesc \
        --with-xerces-lib="-lxerces-c" \
-       --without-grass \
        --without-libgrass
-#      --with-rasdaman
 #      --with-pcidsk=/usr (needs > 0.3)
-# csharp builds, but has no configure option
+# csharp builds, but has no configure option nor install target
 
 # regenerate where needed
 %{__make} -j1 -C swig/perl generate
@@ -326,7 +381,9 @@ sed -i -e 's#^mandir=.*##g' configure.in
 %{__make} -j1 -C swig/ruby generate
 %endif
 
-%{__make} -j1
+%{__make} -j1 \
+       %{?with_grass:GRASS_INCLUDE="-I/usr/include/grass64"} \
+       %{?with_fyba:SOSI_INC="-I/usr/include/fyba"}
 
 %{__make} -j1 docs
 
@@ -340,17 +397,17 @@ rm -rf $RPM_BUILD_ROOT
 
 rm -rf _html
 cp -a html _html
-cp -a ogr/html _html/ogr
 
 %if %{with php}
 # missing in make install
-install -D swig/php/php_gdal.so $RPM_BUILD_ROOT%{php_extensiondir}/gdal.so
-install -D swig/php/php_gdalconst.so $RPM_BUILD_ROOT%{php_extensiondir}/gdalconst.so
-install -D swig/php/php_ogr.so $RPM_BUILD_ROOT%{php_extensiondir}/ogr.so
-install -D swig/php/php_osr.so $RPM_BUILD_ROOT%{php_extensiondir}/osr.so
+install -d $RPM_BUILD_ROOT%{php_extensiondir}
+install -p swig/php/php_gdal.so $RPM_BUILD_ROOT%{php_extensiondir}/gdal.so
+install -p swig/php/php_gdalconst.so $RPM_BUILD_ROOT%{php_extensiondir}/gdalconst.so
+install -p swig/php/php_ogr.so $RPM_BUILD_ROOT%{php_extensiondir}/ogr.so
+install -p swig/php/php_osr.so $RPM_BUILD_ROOT%{php_extensiondir}/osr.so
 install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
 cat <<'EOF' >$RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/gdal.ini
-; Enable gdal extension module
+; Enable gdal extension modules
 extension=gdal.so
 extension=gdalconst.so
 extension=ogr.so
@@ -369,8 +426,8 @@ EOF
 %{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Geo/OSR/.packlist
 
 # some doxygen trash
-%{__rm} $RPM_BUILD_ROOT%{_bindir}/gdalmove.dox
-%{__rm} $RPM_BUILD_ROOT%{_bindir}/gdal_{edit,fillnodata,polygonize,proximity,sieve}.dox
+%{__rm} $RPM_BUILD_ROOT%{_bindir}/gdal{compare,move}.dox
+%{__rm} $RPM_BUILD_ROOT%{_bindir}/gdal_{calc,edit,fillnodata,polygonize,proximity,sieve}.dox
 
 %clean
 rm -rf $RPM_BUILD_ROOT
@@ -403,6 +460,7 @@ rm -rf $RPM_BUILD_ROOT
 %attr(755,root,root) %{_bindir}/gdaladdo
 %attr(755,root,root) %{_bindir}/gdalbuildvrt
 %attr(755,root,root) %{_bindir}/gdalchksum.py
+%attr(755,root,root) %{_bindir}/gdalcompare.py
 %attr(755,root,root) %{_bindir}/gdaldem
 %attr(755,root,root) %{_bindir}/gdalenhance
 %attr(755,root,root) %{_bindir}/gdalident.py
@@ -420,14 +478,17 @@ rm -rf $RPM_BUILD_ROOT
 %attr(755,root,root) %{_bindir}/nearblack
 %attr(755,root,root) %{_bindir}/ogr2ogr
 %attr(755,root,root) %{_bindir}/ogrinfo
+%attr(755,root,root) %{_bindir}/ogrlineref
 %attr(755,root,root) %{_bindir}/ogrtindex
 %attr(755,root,root) %{_bindir}/pct2rgb.py
 %attr(755,root,root) %{_bindir}/rgb2pct.py
 %attr(755,root,root) %{_bindir}/testepsg
 %attr(755,root,root) %{_libdir}/libgdal.so.*.*.*
-%attr(755,root,root) %ghost %{_libdir}/libgdal.so.1
+%attr(755,root,root) %ghost %{_libdir}/libgdal.so.20
+%dir %{_libdir}/gdalplugins
 %{_datadir}/gdal
 %{_mandir}/man1/gdal2tiles.1*
+%{_mandir}/man1/gdal_calc.1*
 %{_mandir}/man1/gdal_contour.1*
 %{_mandir}/man1/gdal_edit.1*
 %{_mandir}/man1/gdal_fillnodata.1*
@@ -442,6 +503,7 @@ rm -rf $RPM_BUILD_ROOT
 %{_mandir}/man1/gdal_utilities.1*
 %{_mandir}/man1/gdaladdo.1*
 %{_mandir}/man1/gdalbuildvrt.1*
+%{_mandir}/man1/gdalcompare.1*
 %{_mandir}/man1/gdaldem.1*
 %{_mandir}/man1/gdalinfo.1*
 %{_mandir}/man1/gdallocationinfo.1*
@@ -455,6 +517,7 @@ rm -rf $RPM_BUILD_ROOT
 %{_mandir}/man1/ogr2ogr.1*
 %{_mandir}/man1/ogr_utilities.1*
 %{_mandir}/man1/ogrinfo.1*
+%{_mandir}/man1/ogrlineref.1*
 %{_mandir}/man1/ogrtindex.1*
 %{_mandir}/man1/pct2rgb.1*
 %{_mandir}/man1/rgb2pct.1*
@@ -465,16 +528,8 @@ rm -rf $RPM_BUILD_ROOT
 %attr(755,root,root) %{_bindir}/gdal-config
 %attr(755,root,root) %{_libdir}/libgdal.so
 %{_libdir}/libgdal.la
-%{_includedir}/cpl_*.h
-%{_includedir}/cplkeywordparser.h
-%{_includedir}/gdal*.h
-%{_includedir}/gvgcpfit.h
-%{_includedir}/memdataset.h
-%{_includedir}/ogr_*.h
-%{_includedir}/ogrsf_frmts.h
-%{_includedir}/rawdataset.h
-%{_includedir}/thinplatespline.h
-%{_includedir}/vrtdataset.h
+%{_pkgconfigdir}/gdal.pc
+%{_includedir}/gdal
 %{_mandir}/man1/gdal-config.1*
 
 %files static
@@ -491,20 +546,17 @@ rm -rf $RPM_BUILD_ROOT
 %{perl_vendorarch}/Geo/OSR.pm
 %dir %{perl_vendorarch}/auto/Geo
 %dir %{perl_vendorarch}/auto/Geo/GDAL
-%{perl_vendorarch}/auto/Geo/GDAL/GDAL.bs
 %attr(755,root,root) %{perl_vendorarch}/auto/Geo/GDAL/GDAL.so
 %dir %{perl_vendorarch}/auto/Geo/GDAL/Const
-%{perl_vendorarch}/auto/Geo/GDAL/Const/Const.bs
 %attr(755,root,root) %{perl_vendorarch}/auto/Geo/GDAL/Const/Const.so
 %dir %{perl_vendorarch}/auto/Geo/OGR
-%{perl_vendorarch}/auto/Geo/OGR/OGR.bs
 %attr(755,root,root) %{perl_vendorarch}/auto/Geo/OGR/OGR.so
 %dir %{perl_vendorarch}/auto/Geo/OSR
-%{perl_vendorarch}/auto/Geo/OSR/OSR.bs
 %attr(755,root,root) %{perl_vendorarch}/auto/Geo/OSR/OSR.so
+%{_mandir}/man3/Geo::GDAL.3pm*
 
 %if %{with php}
-%files -n php-gdal
+%files -n %{php_name}-gdal
 %defattr(644,root,root,755)
 %config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/gdal.ini
 %attr(755,root,root) %{php_extensiondir}/gdal.so
This page took 0.099893 seconds and 4 git commands to generate.